Bug 244560 - Digikam crash while viewing photos
Summary: Digikam crash while viewing photos
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Preview-Engine (show other bugs)
Version: 1.3.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-14 03:15 UTC by Edward Hughes IV
Modified: 2017-08-15 12:44 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments
New crash information added by DrKonqi (24.94 KB, text/plain)
2011-01-02 16:26 UTC, camille.gonnet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Hughes IV 2010-07-14 03:15:19 UTC
Application: digikam (1.3.0)
KDE Platform Version: 4.4.92 (KDE 4.4.92 (KDE 4.5 RC2))
Qt Version: 4.7.0
Operating System: Linux 2.6.32-23-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

It keeps occuring:  I am viewing the photos in an album, pressing space/backspace to move through, and the application just disappears.  No photos seem to be affected.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f97ab3887c0 (LWP 29797))]

Thread 11 (Thread 0x7f9792b7e710 (LWP 29798)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f97a433bd7b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x12f28d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12f28d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000006f2f4b in Digikam::ScanController::run (this=0x12e5aa0) at /build/buildd/digikam-1.3.0/digikam/scancontroller.cpp:516
#4  0x00007f97a433b1be in QThreadPrivate::start (arg=0x12e5aa0) at thread/qthread_unix.cpp:266
#5  0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f979237d710 (LWP 29801)):
#0  0x00007f97a40ada2d in __pthread_mutex_unlock_usercnt (mutex=0x177c468) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x177c468) at pthread_mutex_unlock.c:290
#2  0x00007f979f9caea5 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007f979f9cb318 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x13831e0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f979237cd90, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f97a433b1be in QThreadPrivate::start (arg=0x179e380) at thread/qthread_unix.cpp:266
#10 0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f979196f710 (LWP 29802)):
#0  0x00007f97a40ada2d in __pthread_mutex_unlock_usercnt (mutex=0x15666c8) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x15666c8) at pthread_mutex_unlock.c:290
#2  0x00007f979f9caea5 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x00007f979f9cb318 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x15a82a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f979196ed90, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#9  0x00007f97a433b1be in QThreadPrivate::start (arg=0x1383bb0) at thread/qthread_unix.cpp:266
#10 0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f97909a9710 (LWP 29803)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f97a433bd7b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x17c9e38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x17c9e38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f97a83942bc in Digikam::ParkingThread::run (this=0x17c9e20) at /build/buildd/digikam-1.3.0/libs/threads/threadmanager.cpp:101
#4  0x00007f97a433b1be in QThreadPrivate::start (arg=0x17c9e20) at thread/qthread_unix.cpp:266
#5  0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f97901a8710 (LWP 29804)):
#0  0x00007f97a40ac3ff in __pthread_mutex_lock (mutex=0x1545bd8) at pthread_mutex_lock.c:62
#1  0x00007f979f9c7710 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#2  0x00007f979f9cb748 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x157c540, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f97901a7d90, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f97a433b1be in QThreadPrivate::start (arg=0x15b9a40) at thread/qthread_unix.cpp:266
#9  0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f978f9a7710 (LWP 29805)):
#0  timerSourcePrepare (source=0x15b6500, timeout=0x7f978f9a6bfc) at kernel/qeventdispatcher_glib.cpp:157
#1  0x00007f979f9caeb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007f979f9cb318 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x16e6b90, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f978f9a6d90, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f97a433b1be in QThreadPrivate::start (arg=0x1586fe0) at thread/qthread_unix.cpp:266
#9  0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f97887a1710 (LWP 29808)):
#0  0x00007f97a40ac3ff in __pthread_mutex_lock (mutex=0x1dd00a8) at pthread_mutex_lock.c:62
#1  0x00007f979f9ca8fa in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007f979f9cb4c3 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x1dcb340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f97887a0d50, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f97a440c6d8 in QInotifyFileSystemWatcherEngine::run (this=0x1dcab70) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f97a433b1be in QThreadPrivate::start (arg=0x1dcab70) at thread/qthread_unix.cpp:266
#10 0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f97853d7710 (LWP 29814)):
#0  0x00007f97a2b43f83 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f979f9cb4a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x337ddc0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f97853d6d50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f97a440c6d8 in QInotifyFileSystemWatcherEngine::run (this=0x337d5a0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f97a433b1be in QThreadPrivate::start (arg=0x337d5a0) at thread/qthread_unix.cpp:266
#9  0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f9783bd4710 (LWP 29819)):
#0  0x00007f97a2b43f83 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f979f9cb4a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f97a4459bd6 in QEventDispatcherGlib::processEvents (this=0x2b53840, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f97a442cb9c in QEventLoop::exec (this=0x7f9783bd3d50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f97a433823d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f97a440c6d8 in QInotifyFileSystemWatcherEngine::run (this=0x2e115d0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f97a433b1be in QThreadPrivate::start (arg=0x2e115d0) at thread/qthread_unix.cpp:266
#9  0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f97843d5710 (LWP 29844)):
[KCrash Handler]
#6  0x00007f97a8369dc5 in Digikam::PreviewLoadingTask::execute (this=0x7a59bd0) at /build/buildd/digikam-1.3.0/libs/threadimageio/previewtask.cpp:424
#7  0x00007f97a8355c96 in Digikam::LoadSaveThread::run (this=0x4c58c20) at /build/buildd/digikam-1.3.0/libs/threadimageio/loadsavethread.cpp:127
#8  0x00007f97a83955a6 in Digikam::DynamicThreadPriv::run (this=0x3000570) at /build/buildd/digikam-1.3.0/libs/threads/dynamicthread.cpp:237
#9  0x00007f97a4330ba2 in QThreadPoolThread::run (this=0x51a0ea0) at concurrent/qthreadpool.cpp:106
#10 0x00007f97a433b1be in QThreadPrivate::start (arg=0x51a0ea0) at thread/qthread_unix.cpp:266
#11 0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f97a2b506fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f97ab3887c0 (LWP 29797)):
#0  0x00007f97a2b43f83 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f979a83929a in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f979a8397d7 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f979a839a85 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f97a14656fa in _XSend () from /usr/lib/libX11.so.6
#5  0x00007f97a1465839 in _XReply () from /usr/lib/libX11.so.6
#6  0x00007f97a1452f50 in XQueryPointer () from /usr/lib/libX11.so.6
#7  0x00007f97a50e9c4d in QCursor::pos () at kernel/qcursor_x11.cpp:158
#8  0x00007f97a505c215 in QApplicationPrivate::dispatchEnterLeave (enter=<value optimized out>, leave=<value optimized out>) at kernel/qapplication.cpp:2710
#9  0x00007f97a50ddc29 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff753d8380) at kernel/qapplication_x11.cpp:3532
#10 0x00007f97a5109e82 in x11EventSourceDispatch (s=0x1125290, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#11 0x00007f979f9c78c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x00007f979f9cb748 in ?? () from /lib/libglib-2.0.so.0
#13 0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#14 0x00007f97a4459b83 in QEventDispatcherGlib::processEvents (this=0x10df980, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#15 0x00007f97a51097ee in QGuiEventDispatcherGlib::processEvents (this=0x7fff753d7940, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#16 0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#17 0x00007f97a442cb9c in QEventLoop::exec (this=0x7fff753d86b0, flags=) at kernel/qeventloop.cpp:201
#18 0x00007f97a5543dce in QDialog::exec (this=0x7fff753d8750) at dialogs/qdialog.cpp:546
#19 0x0000000000488f8c in Digikam::DeleteDialog::confirmDeleteList (this=0x7fff753d8750, condemnedFiles=<value optimized out>, listMode=Digikam::DeleteDialogMode::Files, 
    deleteMode=Digikam::DeleteDialogMode::NoChoiceTrash) at /build/buildd/digikam-1.3.0/libs/dialogs/deletedialog.cpp:309
#20 0x00000000006d27a9 in Digikam::ImageViewUtilities::deleteImages (this=0x14ccc10, infos=<value optimized out>, deletePermanently=255)
    at /build/buildd/digikam-1.3.0/digikam/imageviewutilities.cpp:147
#21 0x00000000006a4824 in Digikam::DigikamImageView::deleteSelected (this=0x1577a00, permanently=255) at /build/buildd/digikam-1.3.0/digikam/digikamimageview.cpp:330
#22 0x00000000006afbb1 in Digikam::DigikamView::qt_metacall (this=0x1583400, _c=QMetaObject::InvokeMetaMethod, _id=-1, _a=0x7fff753d89b0)
    at /build/buildd/digikam-1.3.0/obj-x86_64-linux-gnu/digikam/digikamview.moc:322
#23 0x00007f97a44457a7 in QMetaObject::activate (sender=0x3472d80, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#24 0x00007f97a5050622 in QAction::triggered (this=0x7fff753d7940, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#25 0x00007f97a5051d1b in QAction::activate (this=0x3472d80, event=<value optimized out>) at kernel/qaction.cpp:1256
#26 0x00007f97a5053ff7 in QAction::event (this=0x7fff753d7940, e=<value optimized out>) at kernel/qaction.cpp:1182
#27 0x00007f97a5cc0d6d in KAction::event (this=0x7fff753d7940, event=0x7fff753d9020) at ../../kdeui/actions/kaction.cpp:131
#28 0x00007f97a5057cdc in QApplicationPrivate::notify_helper (this=0x11214a0, receiver=0x3472d80, e=0x7fff753d9020) at kernel/qapplication.cpp:4389
#29 0x00007f97a505d7cd in QApplication::notify (this=0x7fff753da6b0, receiver=0x3472d80, e=0x7fff753d9020) at kernel/qapplication.cpp:4270
#30 0x00007f97a5dac926 in KApplication::notify (this=0x7fff753da6b0, receiver=0x3472d80, event=0x7fff753d9020) at ../../kdeui/kernel/kapplication.cpp:309
#31 0x00007f97a442da8c in QCoreApplication::notifyInternal (this=0x7fff753da6b0, receiver=0x3472d80, event=0x7fff753d9020) at kernel/qcoreapplication.cpp:732
#32 0x00007f97a50932f6 in QCoreApplication::sendEvent (this=<value optimized out>, e=0x7fff753d9620) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#33 QShortcutMap::dispatchEvent (this=<value optimized out>, e=0x7fff753d9620) at kernel/qshortcutmap.cpp:879
#34 0x00007f97a50950f7 in QShortcutMap::tryShortcutEvent (this=0x11215c8, o=<value optimized out>, e=0x7fff753d9620) at kernel/qshortcutmap.cpp:364
#35 0x00007f97a505f3cc in QApplication::notify (this=0x7fff753da6b0, receiver=0x1580e60, e=0x7fff753d9620) at kernel/qapplication.cpp:3833
#36 0x00007f97a5dac926 in KApplication::notify (this=0x7fff753da6b0, receiver=0x1580e60, event=0x7fff753d9620) at ../../kdeui/kernel/kapplication.cpp:309
#37 0x00007f97a442da8c in QCoreApplication::notifyInternal (this=0x7fff753da6b0, receiver=0x1580e60, event=0x7fff753d9620) at kernel/qcoreapplication.cpp:732
#38 0x00007f97a510430a in QKeyMapper::sendKeyEvent (keyWidget=0x1580e60, grab=<value optimized out>, type=QEvent::KeyPress, code=16777223, modifiers=<value optimized out>, text=..., 
    autorepeat=false, count=1, nativeScanCode=119, nativeVirtualKey=65535, nativeModifiers=16) at kernel/qkeymapper_x11.cpp:1867
#39 0x00007f97a5106910 in QKeyMapperPrivate::translateKeyEvent (this=0x7fff753d9800, keyWidget=0x1580e60, event=<value optimized out>, grab=true) at kernel/qkeymapper_x11.cpp:1837
#40 0x00007f97a50ddcc4 in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff753da1f0) at kernel/qapplication_x11.cpp:3429
#41 0x00007f97a5109e82 in x11EventSourceDispatch (s=0x1125290, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#42 0x00007f979f9c78c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#43 0x00007f979f9cb748 in ?? () from /lib/libglib-2.0.so.0
#44 0x00007f979f9cb8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#45 0x00007f97a4459b83 in QEventDispatcherGlib::processEvents (this=0x10df980, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#46 0x00007f97a51097ee in QGuiEventDispatcherGlib::processEvents (this=0x7fff753d7940, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007f97a442c7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#48 0x00007f97a442cb9c in QEventLoop::exec (this=0x7fff753da520, flags=) at kernel/qeventloop.cpp:201
#49 0x00007f97a4430c4b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#50 0x000000000077ba6d in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.3.0/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-07-14 09:39:50 UTC
#19 0x0000000000488f8c in Digikam::DeleteDialog::confirmDeleteList
(this=0x7fff753d8750, condemnedFiles=<value optimized out>,
listMode=Digikam::DeleteDialogMode::Files,
   deleteMode=Digikam::DeleteDialogMode::NoChoiceTrash) at
/build/buildd/digikam-1.3.0/libs/dialogs/deletedialog.cpp:309
#20 0x00000000006d27a9 in Digikam::ImageViewUtilities::deleteImages
(this=0x14ccc10, infos=<value optimized out>, deletePermanently=255)
   at /build/buildd/digikam-1.3.0/digikam/imageviewutilities.cpp:147
#21 0x00000000006a4824 in Digikam::DigikamImageView::deleteSelected
(this=0x1577a00, permanently=255) at
/build/buildd/digikam-1.3.0/digikam/digikamimageview.cpp:330

Do you have deleted some items ? Crash appear in dialog dedicated to remove items from icon view.

Gilles Caulier
Comment 2 caulier.gilles 2010-07-14 09:44:57 UTC
oups sorry, crash is there, in preview loading tread. 

#6  0x00007f97a8369dc5 in Digikam::PreviewLoadingTask::execute (this=0x7a59bd0)
at /build/buildd/digikam-1.3.0/libs/threadimageio/previewtask.cpp:424
#7  0x00007f97a8355c96 in Digikam::LoadSaveThread::run (this=0x4c58c20) at
/build/buildd/digikam-1.3.0/libs/threadimageio/loadsavethread.cpp:127
#8  0x00007f97a83955a6 in Digikam::DynamicThreadPriv::run (this=0x3000570) at
/build/buildd/digikam-1.3.0/libs/threads/dynamicthread.cpp:237
#9  0x00007f97a4330ba2 in QThreadPoolThread::run (this=0x51a0ea0) at
concurrent/qthreadpool.cpp:106
#10 0x00007f97a433b1be in QThreadPrivate::start (arg=0x51a0ea0) at
thread/qthread_unix.cpp:266
#11 0x00007f97a40a99ca in start_thread (arg=<value optimized out>) at
pthread_create.c:300
#12 0x00007f97a2b506fd in clone () at
../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Which image type you want to show ? Can you give us a copy of the image ?

Also, please copy and paste the content of Help/Components Info dialog. Thanks in advance

Gilles Caulier
Comment 3 Edward Hughes IV 2010-07-15 23:56:56 UTC
Sorry for the delay.

To answer question 1:  Yes...somewhat.  I had been using the View mode to space through my new album and delete the ones I didn't want.  But, the crash didn't always occur *immediately* after I deleted a photo.

To answer question #2: All in this album were JPGs.

Paste of Help->Components Information:


digiKam version 1.3.0
Exiv2 can write to Jp2: Yes
Exiv2 can write to Jpeg: Yes
Exiv2 can write to Pgf: No
Exiv2 can write to Png: Yes
Exiv2 can write to Tiff: Yes
Exiv2 supports XMP metadata: Yes
LibCImg: 130
LibExiv2: 0.19
LibJPEG: 62
LibJasper: 1.900.1
LibKDE: 4.4.92 (KDE 4.4.92 (KDE 4.5 RC2))
LibKExiv2: 1.1.0
LibKdcraw: 1.1.0
LibLCMS: 118
LibPGF: 6.09.44
LibPNG: 1.2.42
LibQt: 4.7.0
LibRaw: 0.10.0-Beta1
LibTIFF: LIBTIFF, Version 3.9.2 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble widget: 0.10.0 SVN
Parallelized demosaicing: Yes
Database backend: QSQLITE
LibGphoto2: 2.4.8
LibKipi: 1.1.0
Comment 4 René Krell 2010-08-13 08:59:13 UTC
*** Bug 247571 has been marked as a duplicate of this bug. ***
Comment 5 caulier.gilles 2010-10-06 14:57:22 UTC
I recommend to update Exiv2 to 0.20.0 and digiKam to 1.4.0...

Gilles Caulier
Comment 6 caulier.gilles 2010-11-24 09:10:37 UTC
digiKam 1.6.0 is out:

http://www.digikam.org/drupal/node/550

Please update and check if this entry still valid.

Thanks in advance

Gilles Caulier
Comment 7 caulier.gilles 2010-12-13 08:55:47 UTC
*** Bug 256161 has been marked as a duplicate of this bug. ***
Comment 8 camille.gonnet 2011-01-02 16:26:12 UTC
Created attachment 55473 [details]
New crash information added by DrKonqi

digikam (1.4.0) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

- What I was doing when the application crashed:

Viewing photos, applying rating (update of metadata in the jpeg files was processing in background).

-- Backtrace (Reduced):
#8  0xb6905418 in Digikam::PreviewLoadingTask::execute (this=0x963d3d90) at /build/buildd/digikam-1.4.0/libs/threadimageio/previewtask.cpp:100
#9  0xb68f14b3 in Digikam::LoadSaveThread::run (this=0x9cb0f1c8) at /build/buildd/digikam-1.4.0/libs/threadimageio/loadsavethread.cpp:116
#10 0xb69358e6 in Digikam::DynamicThreadPriv::run (this=0x9cc16c68) at /build/buildd/digikam-1.4.0/libs/threads/dynamicthread.cpp:237
#11 0xb4a97603 in QThreadPoolThread::run (this=0x9aadc218) at concurrent/qthreadpool.cpp:106
#12 0xb4aa2f39 in QThreadPrivate::start (arg=0x9aadc218) at thread/qthread_unix.cpp:266
Comment 9 caulier.gilles 2011-01-02 17:00:24 UTC
Camille,

Can you test with last digiKam 1.7.0 if crash is reproducible ? Marcel has fixed some code about in this release

Gilles Caulier
Comment 10 René Krell 2011-01-03 08:09:55 UTC
No more crashes at all to this time in Digikam 1.7.0 / KDE 4.6 / Qt 4.7.1 (Factory, OpenSUSE 11.3).